<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>List available topics — topics • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="List available topics — topics"><meta name="description" content="Lists the set of available referendum topics on the specified tiers."><meta property="og:description" content="Lists the set of available referendum topics on the specified tiers."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>List available topics</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>topics.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Lists the set of available <a href="https://rdb.rpkg.dev/articles/codebook.html#topics">referendum topics</a> on the specified <code>tiers</code>.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">topics</span><span class="op">(</span>tiers <span class="op">=</span> <span class="fl">1</span><span class="op">:</span><span class="fl">3</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-tiers">tiers<a class="anchor" aria-label="anchor" href="#arg-tiers"></a></dt>
<dd><p>Tiers to include topics from. An integerish vector.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A character vector.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other referendum topic functions:
<code><a href="data_topics.html">data_topics</a></code>,
<code><a href="hierarchize_topics.html">hierarchize_topics</a>()</code>,
<code><a href="hierarchize_topics_fast.html">hierarchize_topics_fast</a>()</code>,
<code><a href="infer_topics.html">infer_topics</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">topics</span><span class="op">(</span>tiers <span class="op">=</span> <span class="fl">1</span><span class="op">:</span><span class="fl">2</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [1] "state organisation"                    "foreign policy"                        "security policy"                      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [4] "economy"                               "agriculture"                           "public finance"                       </span>
<span class="r-out co"><span class="r-pr">#&gt;</span>  [7] "energy"                                "transport and infrastructure"          "environment and living space"         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [10] "social policy"                         "education and research"                "culture, religion and media"          </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [13] "national identity"                     "political system"                      "institutions"                         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [16] "citizens' rights"                      "federalism"                            "legal system"                         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [19] "position on foreign policy"            "European policy"                       "international organisations"          </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [22] "development cooperation"               "bilateral treaties"                    "foreign trade policy"                 </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [25] "diplomacy"                             "Swiss abroad"                          "public security"                      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [28] "army"                                  "national economic supply"              "economic policy"                      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [31] "employment"                            "finance"                               "tourism and leisure"                  </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [34] "agricultural policy"                   "livestock"                             "crop production"                      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [37] "forestry"                              "fishing, hunting and pets"             "taxation"                             </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [40] "financial system"                      "public expenditure"                    "budget cuts and remediation measures" </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [43] "energy policy"                         "nuclear energy"                        "hydro-electric power"                 </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [46] "alternative energy"                    "oil and gas"                           "transport policy"                     </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [49] "road transport"                        "rail transport"                        "air transport"                        </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [52] "shipping"                              "post"                                  "telecommunications"                   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [55] "soil"                                  "housing"                               "environment"                          </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [58] "health"                                "social security"                       "social groups"                        </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [61] "education policy"                      "schools"                               "universities"                         </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [64] "research"                              "professional and vocational education" "cultural policy"                      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [67] "language policy"                       "religion, churches"                    "sport"                                </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> [70] "media and communication"              </span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

